CreateResponderGateway
Creates a responder gateway.
Important
A domain name or managed endpoint is required.
Request Syntax
POST /responder-gateway HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": "string",
"domainName": "string",
"gatewayType": "string",
"listenerConfig": {
"protocols": [ "string" ]
},
"managedEndpointConfiguration": { ... },
"port": number,
"protocol": "string",
"securityGroupIds": [ "string" ],
"subnetIds": [ "string" ],
"tags": {
"string" : "string"
},
"trustStoreConfiguration": {
"certificateAuthorityCertificates": [ "string" ]
},
"vpcId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- clientToken
-
The unique client token.
Type: String
Required: Yes
- description
-
An optional description for the responder gateway.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 255.
Pattern:
([\p{L}\p{Z}\p{N}_.:/=+\-@]*)Required: No
- domainName
-
The domain name for the responder gateway.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?)(?:\.(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?))+Required: No
- gatewayType
-
The type of gateway. Valid values are
EXTERNALorINTERNAL.Type: String
Valid Values:
EXTERNAL | INTERNALRequired: No
- listenerConfig
-
Listener configuration for the protocols (HTTP, HTTPS, or both) accepted by the gateway.
Type: ListenerConfig object
Required: No
- managedEndpointConfiguration
-
The configuration for the managed endpoint.
Type: ManagedEndpointConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
- port
-
The networking port to use.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 65535.
Required: Yes
- protocol
-
The networking protocol to use.
Type: String
Valid Values:
HTTP | HTTPSRequired: Yes
- securityGroupIds
-
The unique identifiers of the security groups.
Type: Array of strings
Array Members: Minimum number of 1 item.
Length Constraints: Minimum length of 11. Maximum length of 43.
Pattern:
sg-[0-9a-f]{8,40}Required: Yes
- subnetIds
-
The unique identifiers of the subnets.
Type: Array of strings
Array Members: Minimum number of 1 item.
Length Constraints: Minimum length of 15. Maximum length of 24.
Pattern:
subnet-\w{8,17}Required: Yes
-
A map of the key-value pairs of the tag or tags to assign to the resource.
Type: String to string map
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
(resourceArn|internalId|(?!aws:)[a-zA-Z0-9+\-=._:/@]+)Value Length Constraints: Minimum length of 0. Maximum length of 1600.
Required: No
- trustStoreConfiguration
-
The configuration of the trust store.
Type: TrustStoreConfiguration object
Required: No
- vpcId
-
The unique identifier of the Virtual Private Cloud (VPC).
Type: String
Length Constraints: Minimum length of 12. Maximum length of 21.
Pattern:
vpc-[a-f0-9]{8,17}Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"externalInboundEndpoint": "string",
"gatewayId": "string",
"listenerConfig": {
"protocols": [ "string" ]
},
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- externalInboundEndpoint
-
The external inbound endpoint for the responder gateway.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?)(?:\.(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?))+ - gatewayId
-
The unique identifier of the gateway.
Type: String
Length Constraints: Minimum length of 8. Maximum length of 32.
Pattern:
rtb-gw-[a-z0-9-]{1,25} - listenerConfig
-
The listener configuration for the responder gateway.
Type: ListenerConfig object
- status
-
The status of the request.
Type: String
Valid Values:
PENDING_CREATION | ACTIVE | PENDING_DELETION | DELETED | ERROR | PENDING_UPDATE | ISOLATED | PENDING_ISOLATION | PENDING_RESTORATION
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request could not be completed because you do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request could not be completed because of an internal server error. Try your call again.
HTTP Status Code: 500
- ResourceNotFoundException
-
The request could not be completed because the resource does not exist.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request could not be completed because you exceeded a service quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request could not be completed because it fails satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: